Loading...
Searching...
No Matches
session_server_ch.h File Reference

libnetconf2 Call Home session server manipulation More...

`#include <libyang/libyang.h>`
`#include <stdint.h>`
`#include <time.h>`
`#include "netconf.h"`
`#include "session.h"`
Include dependency graph for session_server_ch.h:

Go to the source code of this file.

## Typedefs

typedef int(* | nc_server_ch_new_session_cb) (const char *client_name, struct nc_session *new_session, void *user_data)
| Callback for new Call Home sessions.
typedef const struct ly_ctx *(* | nc_server_ch_session_acquire_ctx_cb) (void *cb_data)
| Callback for getting a locked context for new Call Home sessions.
typedef void(* | nc_server_ch_session_release_ctx_cb) (void *cb_data)
| Callback for releasing a locked context for Call Home sessions.

## Functions

int | nc_connect_ch_client_dispatch (const char *client_name, nc_server_ch_session_acquire_ctx_cb acquire_ctx_cb, nc_server_ch_session_release_ctx_cb release_ctx_cb, void *ctx_cb_data, nc_server_ch_new_session_cb new_session_cb, void *new_session_cb_data)
| Dispatch a thread connecting to a listening NETCONF client and creating Call Home sessions.
int | nc_server_ch_client_is_endpt (const char *client_name, const char *endpt_name)
| Check if an endpoint of a Call Home client exists.
int | nc_server_ch_is_client (const char *name)
| Check if a Call Home client exists.
void | nc_server_ch_set_dispatch_data (nc_server_ch_session_acquire_ctx_cb acquire_ctx_cb, nc_server_ch_session_release_ctx_cb release_ctx_cb, void *ctx_cb_data, nc_server_ch_new_session_cb new_session_cb, void *new_session_cb_data)
| Set callbacks and their data for Call Home threads.

## Detailed Description

libnetconf2 Call Home session server manipulation

Author
  Michal Vasko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright
  Copyright (c) 2015 - 2021 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file session_server_ch.h.